Simplified.ID API: v2

<back to all web services

GetAccountStatus

Account
The following routes are available for this service:
GET/account/statusGet account status
BaseRequest Parameters:
NameParameterData TypeRequiredDescription
Authenticationheader, bodyAuthenticationYesThe authentication credentials
Authentication Parameters:
NameParameterData TypeRequiredDescription
ApiUserIdheader, bodystringYesThe API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)
ApiUserKeyheader, bodystringYesThe API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)
UserIdheader, bodystringNoThe User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).
GetAccountStatusResponse Parameters:
NameParameterData TypeRequiredDescription
DataformGetAccountStatusDataNoThe response data
GetAccountStatusData Parameters:
NameParameterData TypeRequiredDescription
AccountStatusformAccountStatusNoThe account status information
BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNoThe status of the response
ResponseStatus Parameters:
NameParameterData TypeRequiredDescription
ErrorCodeformstringNo
MessageformstringNo
StackTraceformstringNo
ErrorsformArrayOfResponseErrorNo
MetaformDictionary<string, string>No
ResponseError Parameters:
NameParameterData TypeRequiredDescription
ErrorCodeformstringNo
FieldNameformstringNo
MessageformstringNo
MetaformDictionary<string, string>No
AccountStatus Parameters:
NameParameterData TypeRequiredDescription
StatusformstringNoThe account status (e.g. Unpaid, Active, Expired)
TypeformstringNoThe account type (e.g. live, developer, demo)
ExpiryDateformDateTime?NoThe account Expiry Date
ExpiryDateUniversalformstringNoThe account Expiry Date as a string in ISO 8601 format
BalanceformdecimalNoThe account balance
CreditBalanceformlongNoThe account search credit balance
DBSBasicCreditBalanceformintNoThe account DBS credit balance
ProductsformList<string>NoThe list of enabled products for this account
CapabilitiesformList<string>NoThe list of enabled capabilities for this account

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /account/status HTTP/1.1 
Host: api.simplified.id 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"data":{"accountStatus":{"status":"String","type":"String","expiryDate":"\/Date(-62135596800000-0000)\/","expiryDateUniversal":"String","balance":0,"creditBalance":0,"dbsBasicCreditBalance":0,"products":["String"],"capabilities":["String"]},"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}}